Bug 1031635 - Errors after importing SY demo cluster into JBDS
Errors after importing SY demo cluster into JBDS
Status: CLOSED CURRENTRELEASE
Product: JBoss Fuse Service Works 6
Classification: JBoss
Component: Examples, Tooling (Show other bugs)
6.0.0
Unspecified Unspecified
unspecified Severity medium
: ER7
: ---
Assigned To: Keith Babo
Matej Melko
:
Depends On: 1033366
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-18 07:47 EST by Andrej Podhradsky
Modified: 2016-01-06 06:53 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-01-06 06:53:51 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Andrej Podhradsky 2013-11-18 07:47:53 EST
Description of problem:
After importing the quickstart 'cluster' there are the following errors:

Required Capability Missing: The "Bean" capability should be configured on the project when using this type of implementation.
Required Capability Missing: The "Rules (Drools)" capability should be configured on the project when using this type of implementation.
Required Capability Missing: The "SCA" capability should be configured on the project when using this type of binding.
Required Capability Missing: The "SCA" capability should be configured on the project when using this type of binding.
Required Capability Missing: The "SCA" capability should be configured on the project when using this type of binding.
Unresolvable Bean Class: "org.switchyard.quickstarts.demo.cluster.DealerBean" cannot be resolved for "DealerBean".

Version-Release number of selected component (if applicable):
ER6

How reproducible:
always

Steps to Reproduce:
1. Import the demo into JBDS as Maven project

Actual results:


Expected results:


Additional info:
Comment 2 Andrej Podhradsky 2013-12-18 03:23:43 EST
Verified with FSW 6.0.0.ER7-2 and JBDS-IS 7.0.0.CR1
Comment 5 Andrej Podhradsky 2016-01-06 06:53:51 EST
Fixed and included in the latest release.

Note You need to log in before you can comment on or make changes to this bug.